FRAMEWORKS = [
    ('Actix', 'tcc-actix', 'orange'),
    ('ASP.NET', 'tcc-aspnet', 'blue'),
    ('Flask', 'tcc-flask', 'green'),
    ('Express', 'tcc-express', 'red'),
]

ENDPOINTS = {
    'Actix': 'http://localhost:9083',
    'ASP.NET': 'http://localhost:9081',
    'Flask': 'http://localhost:9082',
    'Express': 'http://localhost:9084',
}

AVG_RUNS = 5

API_REQUESTS = [
    ('/status/ok', 'GET', range(0, 30_000, 5000), None),
    ('/simulation/harmonic-progression?n=100000', 'GET', range(0, 30_000, 5000), None),
    ('/simulation/json', 'GET', range(0, 30_000, 5000), None),
    ('/image/save-big-image', 'POST', range(0, 500, 50), open('big-image.png', 'rb').read()),
    ('/image/load-small-image', 'GET', range(0, 30_000, 5000), None),
    ('/static/small-image.png', 'GET', range(0, 30_000, 5000), None),
    ('/image/load-big-image', 'GET', range(0, 500, 50), None),
    ('/static/big-image.png', 'GET', range(0, 500, 50), None),
    ('/static/video.mp4', 'GET', range(0, 10_000, 1_000), None),
    ('/static/nginx.html', 'GET', range(0, 30_000, 5000), None),
]
